org.keycloak.dom.xmlsec.w3.xmldsig

## Class CanonicalizationMethodType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.CanonicalizationMethodType

-     public class CanonicalizationMethodType
      extends Object

  Java class for CanonicalizationMethodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CanonicalizationMethodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <any/>
             </sequence>
             <attribute name="Algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected URI` | `algorithm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CanonicalizationMethodType(URI algorithm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getAlgorithm()` Gets the value of the algorithm property.
    `Object` | `getContent()`
    `void` | `setContent(Object content)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### algorithm

          protected URI algorithm

  - ### Constructor Detail

    - #### CanonicalizationMethodType

          public CanonicalizationMethodType(URI algorithm)

  - ### Method Detail

    - #### setContent

          public void setContent(Object content)

    - #### getContent

          public Object getContent()

    - #### getAlgorithm

          public URI getAlgorithm()

      Gets the value of the algorithm property.
      Returns:
        possible object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.